<?php
/*
Plugin Name: connect2MAGE
Plugin URI: http://inchoo.net/connect2MAGE
Description: Setup database connection parameters to connect to MAGENTO store database. You can later use $MAGEDB like you use $wpdb. This helps you avoid instantiating WPDB class and rewriting database access info all over your templates. 
Version: 0.0.1
Author: Branko Ajzele
Author URI: http://activecodeline.com
*/


define("connect2MAGE_PLUGIN_NAME", "connect2MAGE");
define("connect2MAGE_PLUGIN_BASE_PAGE_NAME", "connect2MAGE");
define("connect2MAGE_PLUGIN_ABS_PATH", ABSPATH.PLUGINDIR."/".connect2MAGE_PLUGIN_NAME."/");
define("connect2MAGE_PLUGIN_VIEWS_ABS_PATH", connect2MAGE_PLUGIN_ABS_PATH."views/");
define("connect2MAGE_PLUGIN_ICONS_ABS_PATH", connect2MAGE_PLUGIN_ABS_PATH."icons/");

define("connect2MAGE_PLUGIN_LIBRARY_ABS_PATH", connect2MAGE_PLUGIN_ABS_PATH."ActiveCodelineWPLibrary/");


function requiredOptionsSet()
{
	if(get_option('connect2MAGE_DBUser') and get_option('connect2MAGE_DBPassword') and get_option('connect2MAGE_database') and get_option('connect2MAGE_Host'))
	{
		return true;
	}
	else {
		return false;
	}
}

if(requiredOptionsSet())
{
	$MAGEDB = new wpdb(get_option('connect2MAGE_DBUser'), get_option('connect2MAGE_DBPassword'), get_option('connect2MAGE_database'), get_option('connect2MAGE_Host'));
	
	if(get_option('connect2MAGE_ShowErrors') == "1" or get_option('connect2MAGE_ShowErrors') == "true")
	{
		$MAGEDB->show_errors(true);	
	}
}
else
{
	$MAGEDB = null;
}


/**
 * Autoload library
 * Custom added by B.Ajzele, autoloading classes
 * Very important, DO NOT REMOVE
 */
function __autoload($class_name) {
  //class directories
  $directorys = array(
    connect2MAGE_PLUGIN_LIBRARY_ABS_PATH,
    connect2MAGE_PLUGIN_LIBRARY_ABS_PATH.'helpers/',
    connect2MAGE_PLUGIN_LIBRARY_ABS_PATH.'models/',
  );

  //for each directory
  foreach($directorys as $directory)
  {
    //see if the file exsists
    if(file_exists($directory.$class_name . '.php'))
    {
        require_once($directory.$class_name . '.php');
        //only require the class once, so quit after to save effort (if you got more, then name them something else
        return;
    }
  }
} /* END OF function __autoload */



/**
 * Execute activeDealersAddPage when on admin backend
 */
add_action('admin_menu', 'setupPage');


function setupPage()
{
  $templateIndex = connect2MAGE_PLUGIN_VIEWS_ABS_PATH.'setup.php';
  $iconIndex = connect2MAGE_PLUGIN_ICONS_ABS_PATH.'appicon.png';
    
  add_menu_page(connect2MAGE_PLUGIN_BASE_PAGE_NAME, connect2MAGE_PLUGIN_BASE_PAGE_NAME, 8, $templateIndex, '', $iconIndex);
}

?>
